> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theymes.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tickets events

> Get selected ticket events, including message attachments as downloadable attachment IDs.



## OpenAPI

````yaml https://api.theymes.com/openapi get /tickets/{ticketId}/events
openapi: 3.1.0
info:
  title: Theymes API
  version: 1.0.0
  description: >-
    Theymes API allows you to interact with the Theymes platform.



    Most endpoints require an API key for authentication. You can generate an
    API key in the Theymes dashboard.



    The API key should be included in the Authorization header
    (```Authorization: Bearer <YOUR_KEY>```).



    The public support link endpoints do not require authentication and are
    grouped separately below.
servers: []
security: []
tags:
  - name: Authenticated endpoints (API key)
    description: Endpoints that require an API key in the Authorization header.
  - name: Public support links (no authentication)
    description: >-
      Endpoints for creating web support sessions and links. These require no
      authentication and are identified by a game environment token.
paths:
  /tickets/{ticketId}/events:
    get:
      tags:
        - Authenticated endpoints (API key)
      description: >-
        Get selected ticket events, including message attachments as
        downloadable attachment IDs.
      operationId: getTicketEvents
      parameters:
        - schema:
            type: string
            format: uuid
            description: The ID of the ticket to fetch events for
          required: true
          description: The ID of the ticket to fetch events for
          name: ticketId
          in: path
        - schema:
            type: string
            description: Bearer token API key
          required: true
          description: Bearer token API key
          name: Authorization
          in: header
      responses:
        '200':
          description: A list of ticket events
          content:
            application/json:
              schema:
                type: object
                properties:
                  events:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              enum:
                                - PLAYER_MESSAGE
                            createdAt:
                              type: string
                              format: date-time
                            message:
                              type: string
                            language:
                              type: string
                              enum:
                                - en
                                - de
                                - es
                                - es-AR
                                - es-MX
                                - fi
                                - fil
                                - fr
                                - id
                                - ja
                                - ko
                                - ms
                                - pt
                                - pt-BR
                                - ru
                                - tr
                                - uk
                                - vi
                                - zh
                                - zh-Hans
                                - zh-Hant
                                - ar
                                - cs
                                - da
                                - nl
                                - el
                                - hu
                                - it
                                - 'no'
                                - nb
                                - pl
                                - ro
                                - sk
                                - sv
                                - th
                            attachments:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: >-
                                      Attachment ID used with GET
                                      /attachments/{attachmentId}
                                required:
                                  - id
                          required:
                            - id
                            - type
                            - createdAt
                            - message
                            - language
                            - attachments
                          title: playerMessage
                          description: Event representing a message from a player
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              enum:
                                - AGENT_MESSAGE
                            createdAt:
                              type: string
                              format: date-time
                            message:
                              type: string
                            language:
                              type: string
                              enum:
                                - en
                                - de
                                - es
                                - es-AR
                                - es-MX
                                - fi
                                - fil
                                - fr
                                - id
                                - ja
                                - ko
                                - ms
                                - pt
                                - pt-BR
                                - ru
                                - tr
                                - uk
                                - vi
                                - zh
                                - zh-Hans
                                - zh-Hant
                                - ar
                                - cs
                                - da
                                - nl
                                - el
                                - hu
                                - it
                                - 'no'
                                - nb
                                - pl
                                - ro
                                - sk
                                - sv
                                - th
                            attachments:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: >-
                                      Attachment ID used with GET
                                      /attachments/{attachmentId}
                                required:
                                  - id
                          required:
                            - id
                            - type
                            - createdAt
                            - message
                            - language
                            - attachments
                          title: agentMessage
                          description: Event representing a message from an agent
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              enum:
                                - PRIVATE_NOTE
                            createdAt:
                              type: string
                              format: date-time
                            message:
                              type: string
                            attachments:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: >-
                                      Attachment ID used with GET
                                      /attachments/{attachmentId}
                                required:
                                  - id
                          required:
                            - id
                            - type
                            - createdAt
                            - message
                            - attachments
                          title: privateNote
                          description: Event representing a private note on the ticket
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              enum:
                                - CSAT
                            createdAt:
                              type: string
                              format: date-time
                            score:
                              type: integer
                              minimum: 1
                              maximum: 5
                            review:
                              type: string
                              nullable: true
                          required:
                            - id
                            - type
                            - createdAt
                            - score
                            - review
                          title: csat
                          description: Event representing a CSAT submission on the ticket
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              enum:
                                - END
                            createdAt:
                              type: string
                              format: date-time
                            resolutionType:
                              type: string
                              enum:
                                - resolved
                                - rejected
                                - auto_closed
                          required:
                            - id
                            - type
                            - createdAt
                            - resolutionType
                          title: end
                          description: Event representing the end of the conversation
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              enum:
                                - COLLECTOR_RESULT
                            createdAt:
                              type: string
                              format: date-time
                            collectorId:
                              type: string
                              format: uuid
                            resultId:
                              type: string
                              format: uuid
                            title:
                              type: string
                            fields:
                              type: array
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - TEXT
                                      value:
                                        type: string
                                        nullable: true
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - SELECT_GROUP
                                      value:
                                        type: array
                                        items:
                                          type: string
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - DROPDOWN
                                      value:
                                        type: array
                                        items:
                                          type: string
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - DATE
                                      value:
                                        type: string
                                        nullable: true
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - EMAIL
                                      value:
                                        type: string
                                        nullable: true
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - CHECKBOX
                                      value:
                                        type: boolean
                                        nullable: true
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - PLATFORM_SELECTOR
                                      value:
                                        type: string
                                        nullable: true
                                    required:
                                      - key
                                      - label
                                      - type
                                      - value
                                  - type: object
                                    properties:
                                      key:
                                        type: string
                                        nullable: true
                                      label:
                                        type: string
                                      type:
                                        type: string
                                        enum:
                                          - FILE
                                      attachments:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              description: >-
                                                Attachment ID used with GET
                                                /attachments/{attachmentId}
                                          required:
                                            - id
                                    required:
                                      - key
                                      - label
                                      - type
                                      - attachments
                          required:
                            - id
                            - type
                            - createdAt
                            - collectorId
                            - resultId
                            - title
                            - fields
                          title: collectorResult
                          description: >-
                            Event representing a filled collector form, with the
                            collector results.
                    description: >-
                      List of events in the conversation, ordered by creation
                      time, more event types may be added in the future
                required:
                  - events

````